"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuSectionRenderer = void 0;
var _react = _interopRequireWildcard(require("react"));
var _emotion = require("emotion");
var _Typography = require("@webiny/ui/Typography");
var _appAdmin = require("@webiny/app-admin");
var menuSectionTitle = /*#__PURE__*/(0, _emotion.css)({
  marginLeft: 20,
  display: "flex",
  alignItems: "center",
  color: "var(--mdc-theme-on-surface)"
}, "label:menuSectionTitle;");
var iconWrapper = /*#__PURE__*/(0, _emotion.css)({
  marginRight: 5,
  color: "var(--mdc-theme-on-surface)"
}, "label:iconWrapper;");
var MenuSectionRenderer = function MenuSectionRenderer(PrevMenuItem) {
  return function MenuSection() {
    var _useMenuItem = (0, _appAdmin.useMenuItem)(),
      menuItem = _useMenuItem.menuItem,
      depth = _useMenuItem.depth;
    var shouldRender = depth === 1 && menuItem && menuItem.children.length > 0;
    if (!shouldRender) {
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    } else if (!menuItem) {
      // TODO @ts-refactor check if to return component or null @pavel
      console.log("MenuSectionRenderer returning PrevMenuItem because no menuItem variable.");
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    }
    if (!menuItem.children.length) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
      className: menuSectionTitle
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: iconWrapper
    }, menuItem.icon), /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
      use: "overline"
    }, menuItem.label)), /*#__PURE__*/_react.default.createElement(_appAdmin.MenuItems, {
      menuItems: menuItem.children
    }));
  };
};
exports.MenuSectionRenderer = MenuSectionRenderer;

//# sourceMappingURL=MenuSectionRenderer.js.map