"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotFound = void 0;
var React = _interopRequireWildcard(require("react"));
var _emotion = require("emotion");
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _reactRouter = require("@webiny/react-router");
var _Typography = require("@webiny/ui/Typography");
var _appAdmin = require("@webiny/app-admin");
var _SecureRouteError = _interopRequireDefault(require("./SecureRouteError.svg"));
var ContentWrapper = /*#__PURE__*/(0, _styled.default)("div", {
  target: "e10y0soq0",
  label: "ContentWrapper"
})({
  display: "block",
  paddingTop: "15%",
  textAlign: "center",
  margin: "auto"
});
var styles = {
  authErrorImgStyle: /*#__PURE__*/(0, _emotion.css)({
    width: "192px",
    paddingBottom: "24px"
  }, "label:authErrorImgStyle;"),
  bodyStyle: /*#__PURE__*/(0, _emotion.css)({
    color: "var(--mdc-theme-text-primary-on-background)",
    display: "block"
  }, "label:bodyStyle;"),
  linkStyle: /*#__PURE__*/(0, _emotion.css)({
    textDecoration: "none",
    "&:hover": {
      textDecoration: "none"
    }
  }, "label:linkStyle;")
};
var NotFoundHOC = function NotFoundHOC() {
  return function NotFound() {
    return /*#__PURE__*/React.createElement(ContentWrapper, null, /*#__PURE__*/React.createElement("img", {
      className: styles.authErrorImgStyle,
      src: _SecureRouteError.default,
      alt: "Not Accessible"
    }), /*#__PURE__*/React.createElement(_Typography.Typography, {
      use: "body1",
      className: styles.bodyStyle
    }, "The route is either missing, or you're not authorized to view it."), /*#__PURE__*/React.createElement(_Typography.Typography, {
      use: "body1",
      className: styles.bodyStyle
    }, "Please contact your administrator to report the issue."), /*#__PURE__*/React.createElement(_reactRouter.Link, {
      to: "/",
      className: styles.linkStyle
    }, "Take me back."));
  };
};
var NotFound = function NotFound() {
  return /*#__PURE__*/React.createElement(_appAdmin.Compose, {
    component: _appAdmin.NotFound,
    with: NotFoundHOC
  });
};
exports.NotFound = NotFound;

//# sourceMappingURL=index.js.map