"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overlays = void 0;
var _react = _interopRequireDefault(require("react"));
var _appAdmin = require("@webiny/app-admin");
var _Snackbar = _interopRequireDefault(require("./Snackbar"));
var _Dialog = require("./Dialog");
var _base = require("@rmwc/base");
var _featureFlags = require("@webiny/feature-flags");
var _OmniSearch = require("./OmniSearch");
/**
 * Dialogs, Menus and Snackbars require a container to be rendered, and we want to place it outside of
 * any other views that are constructed by developers. We need these 2 containers to always be
 * present, even if there is no <Layout> mounted.
 */
var OverlaysHOC = function OverlaysHOC(Component) {
  return function Overlays(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/_react.default.createElement(Component, null, children, /*#__PURE__*/_react.default.createElement("div", {
      style: {
        zIndex: 1000,
        position: "absolute"
      }
    }, /*#__PURE__*/_react.default.createElement(_Snackbar.default, null)), /*#__PURE__*/_react.default.createElement(_base.Portal, null), /*#__PURE__*/_react.default.createElement(_Dialog.DialogContainer, null), _featureFlags.featureFlags.experimentalAdminOmniSearch && /*#__PURE__*/_react.default.createElement(_OmniSearch.OmniSearch, null));
  };
};
var Overlays = function Overlays() {
  return /*#__PURE__*/_react.default.createElement(_appAdmin.Provider, {
    hoc: OverlaysHOC
  });
};
exports.Overlays = Overlays;

//# sourceMappingURL=index.js.map