"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserMenu = void 0;
var _react = _interopRequireWildcard(require("react"));
var _emotion = require("emotion");
var _appAdmin = require("@webiny/app-admin");
var _Menu = require("@webiny/ui/Menu");
var _List = require("@webiny/ui/List");
var _Icon = require("@webiny/ui/Icon");
var _reactRouter = require("@webiny/react-router");
var _appSecurity = require("@webiny/app-security");
var _Avatar = require("@webiny/ui/Avatar");
var _components = require("@webiny/app/components");
var _TopAppBar = require("@webiny/ui/TopAppBar");
var UserMenuRendererImpl = function UserMenuRendererImpl() {
  return function UserMenu() {
    var security = (0, _appSecurity.useSecurity)();
    var _useUserMenu = (0, _appAdmin.useUserMenu)(),
      menuItems = _useUserMenu.menuItems;
    if (!security || !security.identity) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement(_Menu.Menu, {
      anchor: "topEnd",
      handle: /*#__PURE__*/_react.default.createElement(_TopAppBar.TopAppBarActionItem, {
        icon: /*#__PURE__*/_react.default.createElement(_appAdmin.UserMenuHandle, null)
      })
    }, /*#__PURE__*/_react.default.createElement(_List.List, {
      "data-testid": "logged-in-user-menu-list"
    }, /*#__PURE__*/_react.default.createElement(_appAdmin.UserMenuItems, {
      menuItems: menuItems
    })));
  };
};
var UserMenuHandleRendererImpl = function UserMenuHandleRendererImpl() {
  return function UserMenuHandle() {
    var _useSecurity = (0, _appSecurity.useSecurity)(),
      identity = _useSecurity.identity;
    if (!identity) {
      return null;
    }
    var profile = identity.profile;
    if (!profile) {
      return /*#__PURE__*/_react.default.createElement(_Avatar.Avatar, {
        "data-testid": "logged-in-user-menu-avatar",
        src: undefined,
        alt: identity.displayName,
        fallbackText: identity.displayName,
        renderImage: function renderImage(props) {
          return /*#__PURE__*/_react.default.createElement(_components.Image, Object.assign({}, props, {
            transform: {
              width: 100
            }
          }));
        }
      });
    }
    var firstName = profile.firstName,
      lastName = profile.lastName,
      avatar = profile.avatar,
      gravatar = profile.gravatar;
    var fullName = "".concat(firstName, " ").concat(lastName);
    return /*#__PURE__*/_react.default.createElement(_Avatar.Avatar, {
      "data-testid": "logged-in-user-menu-avatar",
      src: avatar ? avatar.src : gravatar,
      alt: fullName,
      fallbackText: fullName,
      renderImage: function renderImage(props) {
        return /*#__PURE__*/_react.default.createElement(_components.Image, Object.assign({}, props, {
          transform: {
            width: 100
          }
        }));
      }
    });
  };
};
var linkStyles = /*#__PURE__*/(0, _emotion.css)({
  "&:hover": {
    textDecoration: "none"
  }
}, "label:linkStyles;");
var UserMenuItemRendererImpl = function UserMenuItemRendererImpl() {
  return function UserMenuItemRenderer() {
    var _useUserMenuItem = (0, _appAdmin.useUserMenuItem)(),
      label = _useUserMenuItem.label,
      path = _useUserMenuItem.path,
      icon = _useUserMenuItem.icon,
      onClick = _useUserMenuItem.onClick,
      element = _useUserMenuItem.element;
    if (element) {
      return element;
    }
    if (path) {
      return /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
        to: path,
        className: linkStyles
      }, /*#__PURE__*/_react.default.createElement(_List.ListItem, null, /*#__PURE__*/_react.default.createElement(_List.ListItemGraphic, null, icon ? /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
        icon: icon
      }) : null), label));
    }
    return /*#__PURE__*/_react.default.createElement(_List.ListItem, {
      onClick: onClick
    }, /*#__PURE__*/_react.default.createElement(_List.ListItemGraphic, null, icon ? /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      icon: icon
    }) : null), label);
  };
};
var UserMenu = function UserMenu() {
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_appAdmin.Compose, {
    component: _appAdmin.UserMenuHandleRenderer,
    with: UserMenuHandleRendererImpl
  }), /*#__PURE__*/_react.default.createElement(_appAdmin.Compose, {
    component: _appAdmin.UserMenuRenderer,
    with: UserMenuRendererImpl
  }), /*#__PURE__*/_react.default.createElement(_appAdmin.Compose, {
    component: _appAdmin.UserMenuItemRenderer,
    with: UserMenuItemRendererImpl
  }));
};
exports.UserMenu = UserMenu;

//# sourceMappingURL=index.js.map